Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetStorageStatistics

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.StorageStatistics>
it.tdlight.jni.TdApi.GetStorageStatistics

Enclosing class:
  TdApi

public static final class TdApi.GetStorageStatistics extends TdApi.Function<TdApi.StorageStatistics>
Returns storage usage statistics. Can be called before authorization.

Returns `StorageStatistics`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`chatLimit`
The maximum number of chats with the largest storage usage for which separate statistics need to be returned.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.

## Constructor Summary

Constructors
Constructor
Description
`GetStorageStatistics()`
Returns storage usage statistics.
`GetStorageStatistics(int chatLimit)`
Returns storage usage statistics.
`GetStorageStatistics(DataInput input)`
Returns storage usage statistics.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatLimit

public int chatLimit
The maximum number of chats with the largest storage usage for which separate statistics need to be returned. All other chats will be grouped in entries with chatId == 0. If the chat info database is not used, the chatLimit is ignored and is always set to 0.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetStorageStatistics

public GetStorageStatistics()
Returns storage usage statistics. Can be called before authorization.

Returns `StorageStatistics`

### GetStorageStatistics

public GetStorageStatistics(int chatLimit)
Returns storage usage statistics. Can be called before authorization.

Returns `StorageStatistics`

Parameters:
  `chatLimit` - The maximum number of chats with the largest storage usage for which separate statistics need to be returned. All other chats will be grouped in entries with chatId == 0. If the chat info database is not used, the chatLimit is ignored and is always set to 0.

  Returns `StorageStatistics`

### GetStorageStatistics

public GetStorageStatistics(DataInput input) throws IOException
Returns storage usage statistics. Can be called before authorization.

Returns `StorageStatistics`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`